### A free/open-source library for quantitative finance

Classes
ql/pricingengines/asian/mcdiscreteasianengine.hpp File Reference

Monte Carlo pricing engine for discrete average Asians. More...

`#include <ql/pricingengines/mcsimulation.hpp>`
`#include <ql/instruments/asianoption.hpp>`
`#include <ql/processes/blackscholesprocess.hpp>`
Include dependency graph for mcdiscreteasianengine.hpp:

## Classes

class | MCDiscreteAveragingAsianEngine< RNG, S >
| Pricing engine for discrete average Asians using Monte Carlo simulation. More...

## Detailed Description

Monte Carlo pricing engine for discrete average Asians.